Subject: bug#9277: cp

From: Eric Blake <[email-masked]>
Date: Wed, 10 Aug 2011 16:14:27 -0600

[re-adding the list again - there's a reason that we prefer public lists]

On 08/10/2011 04:07 PM, vesselin kavalov wrote:
> Hi Eric,
> yes, I can do SHA, but on the real file contents only! That's why I hate soft
> links! because everything may stay the same, but a change of where a soft link
> points to is undetectable and U get different results of subsequent compiles. I
> probably will go brute force and set restrictive unix permissions on a different
> user and group ownership.

You can do SHA on symlink contents, by using readlink on those symlinks. 
  Your claim that symlink changes are undetectable is bogus.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org